maxpath.profileFilters = include:*, \
                         exclude:*org.eclipse.jdt.internal.compiler.lookup.CompilationUnitScope.faultInImports*, \
                         exclude:*org.eclipse.jdt.internal.compiler.ast*, \
                         exclude:*com.sun.tools.javac.jvm.Code.emitStackMapFrame*, \
                         exclude:*com.sun.tools.javac.main.JavaCompiler*, \
                         exclude:*com.sun.tools.javac.jvm.ClassReader$AnnotationDeproxy*, \
                         exclude:*antlr.collections.impl.BitSet*, \
                         exclude:*org.eclipse.core.internal.jobs.DeadlockDetector*, \
                         exclude:*org.eclipse.jdt.internal.compiler.lookup.Scope.findField*, \
                         exclude:*org.eclipse.jdt.internal.compiler.lookup.MethodVerifier*, \
                         exclude:*com.sun.tools.javac.comp.MemberEnter*, \
                         exclude:*com.sun.tools.javac.util.Log.findLine*, \
                         exclude:*com.sun.tools.javac.jvm.Gen.normalizeMethod*, \
                         exclude:*com.sun.tools.javac.parser.Parser.classOrInterfaceBody*, \
                         exclude:*INVOKE_STUB*, \
                         exclude:com.sun.max.vm.maxpath*

# maxpath.profileFilters = include:*, exclude:*com.sun.max*, include:*test.com.sun.max.vm.maxpath.tests*
# maxpath.profileFilters = exclude:*, include:*
# maxpath.profileFilters = exclude:*, include:*MirInterpreter*

# PROFILE, METHOD, PATH, STRESS, REGION_EX, DEMO
maxpath.tracer = REGION

maxpath.reservedSize = 1024

maxpath.attempts = 4
maxpath.ignoreThreshold = 100
maxpath.disableThreshold = -1234
maxpath.threshold = 100
maxpath.extensionCountdown = 2

maxpath.extensions = 1
maxpath.maxUnrollCount = 1
maxpath.maxBlockVisits = 32
maxpath.stress = false

maxpath.hosted = false
maxpath.printMetrics = false
maxpath.profileRegions = false
maxpath.profileMethods = false

maxpath.debug = false
maxpath.debugTracer = false
maxpath.debugOptimizations = false
maxpath.tracerBreakpoint = 
maxpath.breakOnEntry = false
maxpath.traceRegionExecutionLevel = 0
maxpath.traceMethodExecutionLevel = 0
maxpath.traceCompilationLevel = 0

maxpath.printBir = false
maxpath.printTir = false
maxpath.printTirGraph = false
maxpath.printTirStates = false
maxpath.printMidTir = false
maxpath.printFinalTir = true
maxpath.printDir = false
maxpath.printEir = false
maxpath.printTarget = false

maxpath.saveIr = false
maxpath.saveLastTir = false
maxpath.saveFolder = .
maxpath.checkIntegrity = false

maxpath.traceLevel = 0
maxpath.maxInlineDepth = 1
maxpath.inlineTrivialMethods = true
maxpath.inlineVirtualMethods = true

maxpath.foldSnippets = true
maxpath.inlineSnippets = true
maxpath.inlineComplexSnippets = true

maxpath.maxCompilations = -1183
maxpath.insertAnchorAtMethodEntry = false
maxpath.compileExceptionHandlers = false

maxpath.checkArrayIndex = true

maxpath.optimize = true

maxpath.optimize.comparisons = true

maxpath.optimize.constantFolding = true
maxpath.optimize.traceConstantFolding = false

maxpath.optimize.commonSubexpressionElimination = true
maxpath.optimize.traceCommonSubexpressionElimination = false

maxpath.optimize.deadCodeElimination = true
maxpath.optimize.traceDeadCodeElimination = false

maxpath.optimize.invariantCodeMotion = false
maxpath.optimize.traceInvariantCodeMotion = true

maxpath.optimize.loadStoreElimination = true
maxpath.optimize.traceLoadStoreElimination = false

maxpath.optimize.aliasAnalysis = false
maxpath.optimize.traceAliasAnalysis = false

maxpath.optimizeTransfers = false

maxpath.optimize.traceLowerer = false
maxpath.optimize.traceDirTranslator = false
maxpath.optimize.tracePeepholeOptimization = false

maxpath.tweaker = 16
maxpath.collectOnBreak = false
maxpath.dumpStackOnBreak = false

maxpath.profile.profileBlocks = false
# maxpath.profile.profileBytecodes = false